Loading...
Searching...
No Matches
pcl::visualization::PointCloudColorHandlerLabelField< pcl::PCLPointCloud2 > Class Reference
Module visualization

Label field handler class for colors. More...

`#include <pcl/visualization/point_cloud_color_handlers.h>`

Inheritance diagram for pcl::visualization::PointCloudColorHandlerLabelField< pcl::PCLPointCloud2 >:

## Public Types

using | Ptr = shared_ptr<PointCloudColorHandlerLabelField<PointCloud> >
using | ConstPtr = shared_ptr<const PointCloudColorHandlerLabelField<PointCloud> >
Public Types inherited from pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >
using | PointCloud = pcl::PCLPointCloud2
using | PointCloudPtr = PointCloud::Ptr
using | PointCloudConstPtr = PointCloud::ConstPtr
using | Ptr = shared_ptr<PointCloudColorHandler<PointCloud> >
using | ConstPtr = shared_ptr<const PointCloudColorHandler<PointCloud> >

## Public Member Functions

| PointCloudColorHandlerLabelField (const PointCloudConstPtr &cloud, const bool static_mapping=true)
| Constructor.
vtkSmartPointer< vtkDataArray > | getColor () const override
| Obtain the actual color for the input dataset as a VTK data array.
virtual void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used.
Public Member Functions inherited from pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >
| PointCloudColorHandler (const PointCloudConstPtr &cloud)
| Constructor.
virtual | ~PointCloudColorHandler ()=default
| Destructor.
bool | isCapable () const
| Return whether this handler is capable of handling the input data or not.
void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used.

## Protected Member Functions

virtual std::string | getName () const
| Get the name of the class.
virtual std::string | getFieldName () const
| Get the name of the field used.

## Additional Inherited Members

Protected Attributes inherited from pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >
PointCloudConstPtr | cloud_
| A pointer to the input dataset.
bool | capable_
| True if this handler is capable of handling the input data, false otherwise.
int | field_idx_
| The index of the field holding the data that represents the color.
std::vector< pcl::PCLPointField > | fields_
| The list of fields available for this PointCloud.

## Detailed Description

Label field handler class for colors.

Paints the points according to their labels, assigning a unique color from a predefined color lookup table to each label.

Author
  Sergey Alexandrov

Definition at line 809 of file point_cloud_color_handlers.h.

## Member Typedef Documentation

## ConstPtr

using pcl::visualization::PointCloudColorHandlerLabelField< pcl::PCLPointCloud2 >::ConstPtr = shared_ptr<const PointCloudColorHandlerLabelField<PointCloud> >

Definition at line 817 of file point_cloud_color_handlers.h.

## Ptr

using pcl::visualization::PointCloudColorHandlerLabelField< pcl::PCLPointCloud2 >::Ptr = shared_ptr<PointCloudColorHandlerLabelField<PointCloud> >

Definition at line 816 of file point_cloud_color_handlers.h.

## Constructor & Destructor Documentation

## PointCloudColorHandlerLabelField()

pcl::visualization::PointCloudColorHandlerLabelField< pcl::PCLPointCloud2 >::PointCloudColorHandlerLabelField | ( | const PointCloudConstPtr & | cloud,
|  | const bool | static_mapping = true )

Constructor.

Parameters

  [in] | static_mapping | Use a static colormapping from label_id to color (default true)

## Member Function Documentation

## getColor()

vtkSmartPointer< vtkDataArray > pcl::visualization::PointCloudColorHandlerLabelField< pcl::PCLPointCloud2 >::getColor | ( |  | ) | const

override virtual

Obtain the actual color for the input dataset as a VTK data array.

Deriving handlers should override this method. The default implementation is provided only for backwards compatibility with handlers that were written before PCL 1.10.0 and will be removed in future.

Returns
  smart pointer to VTK array if the operation was successful (the handler is capable and the input cloud was given), a null pointer otherwise

Implements pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >.

## getFieldName()

virtual std::string pcl::visualization::PointCloudColorHandlerLabelField< pcl::PCLPointCloud2 >::getFieldName | ( |  | ) | const

inline protected virtual

Get the name of the field used.

Implements pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >.

Definition at line 834 of file point_cloud_color_handlers.h.

## getName()

virtual std::string pcl::visualization::PointCloudColorHandlerLabelField< pcl::PCLPointCloud2 >::getName | ( |  | ) | const

inline protected virtual

Get the name of the class.

Implements pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >.

Definition at line 830 of file point_cloud_color_handlers.h.

## setInputCloud()

void pcl::visualization::PointCloudColorHandlerLabelField< pcl::PCLPointCloud2 >::setInputCloud | ( | const PointCloudConstPtr & | cloud | ) |

virtual

Set the input cloud to be used.

Parameters

  [in] | cloud | the input cloud to be used by the handler

Definition at line 503 of file point_cloud_color_handlers.hpp.

The documentation for this class was generated from the following files:

- pcl/visualization/point_cloud_color_handlers.h
- pcl/visualization/impl/point_cloud_color_handlers.hpp